#!/usr/bin/bash

### This is a script for installing the latest release
### of `scaricatore`.

PROJECT_ROOT=$1

if [ -z ${PROJECT_ROOT+x} ]; then
    echo "error no project_root set"
    exit 1
fi

mkdir -p "${PROJECT_ROOT}"
cd "${PROJECT_ROOT}" || exit 1

read -p "We're about to run rm -rf ${PROJECT_ROOT}/*. Are you sure?" -n 1 -r
if [[ $REPLY =~ ^[Yy]$ ]]
then
    rm -rf ./*
fi

wget https://git.pweapon.org/odo/dl.emersa.it/releases/download/latest/build.tar.gz
tar -xvf build.tar.gz -C .
rm build.tar.gz
npm ci
npm run download-yt-dlp
echo "YTDLP_PATH=$(readlink -f yt-dlp)" >>.env
